OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.IndexMaterial

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTIndexMaterial :: MonadIO m => m Bool
- gl_EXT_index_material :: Bool
- pattern GL_INDEX_MATERIAL_EXT :: GLenum
- pattern GL_INDEX_MATERIAL_FACE_EXT :: GLenum
- pattern GL_INDEX_MATERIAL_PARAMETER_EXT :: GLenum
- glIndexMaterialEXT :: MonadIO m => GLenum -> GLenum -> m ()

# Extension Support

glGetEXTIndexMaterial :: MonadIO m => m Bool Source #

Is the EXT_index_material extension supported?

gl_EXT_index_material :: Bool Source #

Is the EXT_index_material extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTIndexMaterial` in those cases instead.

# Enums

pattern GL_INDEX_MATERIAL_EXT :: GLenum Source #

pattern GL_INDEX_MATERIAL_FACE_EXT :: GLenum Source #

pattern GL_INDEX_MATERIAL_PARAMETER_EXT :: GLenum Source #

# Functions

glIndexMaterialEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `face` of type MaterialFace.
-> GLenum | `mode` of type IndexMaterialParameterEXT.
-> m () |